Wednesday, December 16, 2009

Updating iTunes on a Maine MLTI MacBook

Every year the iPod is one of the most popular holiday gifts out there and I'm sure this season will be no different. Especially since the new iPod Nano has a built in video camera and my personal favorite there's the iPod Touch. The issue is that the newer iPod's need iTunes 9 to work. iTunes 9 needs Safari 4 to work, however if you download Safari you get version 4.0.4 which only works on OSX 10.5.8, and the MLTI MacBooks have 10.5.7

Confused yet?

All you have to know is this:
Enjoy that new iPod!